import BaseConsumer from '../../BaseGrpcConsumer';
import { PaginationOption } from '../../../types/pagination';
/**
 * @group gRPC API
 */
export declare class ChainGrpcAuthApi extends BaseConsumer {
    fetchModuleParams(): Promise<import("../types/custom/auth").AuthModuleParams>;
    /**
     * Get account details.
     * @param address account address.
     * @returns account.
     */
    fetchAccount(address: string): Promise<import("../types/custom/auth").Account>;
    /**
     * Get all accounts.
     * @param pagination
     * @returns accounts.
     */
    fetchAccounts(pagination?: PaginationOption): Promise<{
        pagination: import("@routerprotocol/chain-api/cosmos/base/query/v1beta1/pagination_pb").PageResponse.AsObject;
        accounts: import("../types/custom/auth").Account[];
    }>;
}
