import { TxRaw } from '@routerprotocol/chain-api/cosmos/tx/v1beta1/tx_pb';
export declare class TxClient {
    /**
     * Encode a transaction to base64-encoded protobuf
     * @param tx transaction to encode
     */
    static encode(tx: TxRaw): string;
    /**
     * Decode a transaction from base64-encoded protobuf
     * @param tx transaction string to decode
     */
    static decode(encodedTx: string): TxRaw;
    /**
     * Get the transaction's hash
     * @param tx transaction to hash
     */
    static hash(tx: TxRaw): Promise<string>;
}
